sling-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From o...@apache.org
Subject [sling-org-apache-sling-karaf-features] 02/03: SLING-3027 Improve Launchpad Karaf Features
Date Thu, 20 Dec 2018 17:10:44 GMT
This is an automated email from the ASF dual-hosted git repository.

olli pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/sling-org-apache-sling-karaf-features.git

commit fe2d88cfe0a4821af6b8d4ba664f940bddc2915b
Author: Oliver Lietz <olli@apache.org>
AuthorDate: Thu Dec 20 17:48:09 2018 +0100

    SLING-3027 Improve Launchpad Karaf Features
    
    use latest releases
---
 src/main/feature/feature.xml | 86 ++++++++++++++++++++++----------------------
 1 file changed, 43 insertions(+), 43 deletions(-)

diff --git a/src/main/feature/feature.xml b/src/main/feature/feature.xml
index 2d80a41..6b2c673 100644
--- a/src/main/feature/feature.xml
+++ b/src/main/feature/feature.xml
@@ -21,7 +21,7 @@
   <!-- Apache Sling -->
   <feature name="sling" version="${project.version}">
     <config external="true" name="org.apache.sling.serviceusermapping.impl.ServiceUserMapperImpl.amended-resourceresolver">mvn:org.apache.sling/org.apache.sling.karaf-configs/${project.version}/config/org.apache.sling.serviceusermapping.impl.ServiceUserMapperImpl.amended-resourceresolver</config>
-    <bundle>mvn:org.apache.sling/org.apache.sling.api/2.18.4</bundle>
+    <bundle>mvn:org.apache.sling/org.apache.sling.api/2.20.0</bundle>
     <bundle>mvn:org.apache.sling/org.apache.sling.auth.core/1.4.2</bundle>
     <bundle>mvn:org.apache.sling/org.apache.sling.engine/2.6.16</bundle>
     <bundle>mvn:org.apache.sling/org.apache.sling.resourceresolver/1.6.8</bundle>
@@ -187,7 +187,7 @@
   </feature>
   <feature name="sling-distribution" version="${project.version}">
     <bundle>mvn:org.apache.sling/org.apache.sling.distribution.api/0.3.0</bundle>
-    <bundle>mvn:org.apache.sling/org.apache.sling.distribution.core/0.3.4</bundle>
+    <bundle>mvn:org.apache.sling/org.apache.sling.distribution.core/0.4.0</bundle>
     <!-- dependencies -->
     <feature version="${project.version}">sling</feature>
     <feature version="${project.version}">sling-jcr</feature>
@@ -219,8 +219,8 @@
     <feature version="${project.version}">jackrabbit-vault</feature>
     <bundle dependency="true">mvn:javax.jcr/jcr/2.0</bundle>
     <bundle dependency="true">mvn:com.google.guava/guava/15.0</bundle>
-    <bundle dependency="true">mvn:org.apache.jackrabbit/jackrabbit-api/2.16.3</bundle>
-    <bundle dependency="true">mvn:org.apache.jackrabbit/jackrabbit-jcr-commons/2.16.3</bundle>
+    <bundle dependency="true">mvn:org.apache.jackrabbit/jackrabbit-api/2.18.0</bundle>
+    <bundle dependency="true">mvn:org.apache.jackrabbit/jackrabbit-jcr-commons/2.18.0</bundle>
   </feature>
   <feature name="sling-healthcheck" version="${project.version}">
     <bundle>mvn:org.apache.sling/org.apache.sling.hc.api/1.0.2</bundle>
@@ -255,9 +255,9 @@
     <bundle>mvn:org.apache.sling/org.apache.sling.models.jacksonexporter/1.0.8</bundle>
     <!-- dependencies -->
     <feature version="${project.version}">sling-models</feature>
-    <bundle dependency="true">mvn:com.fasterxml.jackson.core/jackson-annotations/2.9.7</bundle>
-    <bundle dependency="true">mvn:com.fasterxml.jackson.core/jackson-core/2.9.7</bundle>
-    <bundle dependency="true">mvn:com.fasterxml.jackson.core/jackson-databind/2.9.7</bundle>
+    <bundle dependency="true">mvn:com.fasterxml.jackson.core/jackson-annotations/2.9.8</bundle>
+    <bundle dependency="true">mvn:com.fasterxml.jackson.core/jackson-core/2.9.8</bundle>
+    <bundle dependency="true">mvn:com.fasterxml.jackson.core/jackson-databind/2.9.8</bundle>
   </feature>
   <feature name="sling-pipes" version="${project.version}">
     <bundle>mvn:org.apache.sling/org.apache.sling.pipes/3.0.2</bundle>
@@ -367,7 +367,7 @@
     <bundle>mvn:org.apache.sling/org.apache.sling.jcr.api/2.4.0</bundle>
     <bundle>mvn:org.apache.sling/org.apache.sling.jcr.base/3.0.6</bundle>
     <bundle>mvn:org.apache.sling/org.apache.sling.jcr.classloader/3.2.4</bundle>
-    <bundle>mvn:org.apache.sling/org.apache.sling.jcr.contentloader/2.2.6</bundle>
+    <bundle>mvn:org.apache.sling/org.apache.sling.jcr.contentloader/2.3.0</bundle>
     <bundle>mvn:org.apache.sling/org.apache.sling.jcr.davex/1.3.10</bundle>
     <!-- (not using org.apache.sling.jcr.jcr-wrapper) -->
     <bundle>mvn:org.apache.sling/org.apache.sling.jcr.resource/3.0.16</bundle>
@@ -414,7 +414,7 @@
     <bundle>mvn:org.apache.sling/org.apache.sling.nosql.couchbase-resourceprovider/1.1.0</bundle>
     <!-- dependencies -->
     <feature version="${project.version}">sling-nosql-generic</feature>
-    <bundle dependency="true">mvn:io.wcm.osgi.wrapper/io.wcm.osgi.wrapper.rxjava/1.0.14-0000</bundle>
+    <bundle dependency="true">mvn:io.wcm.osgi.wrapper/io.wcm.osgi.wrapper.rxjava/1.3.8-0000</bundle>
   </feature>
   <feature name="sling-nosql-mongodb" version="${project.version}">
     <bundle>mvn:org.apache.sling/org.apache.sling.nosql.mongodb-resourceprovider/1.1.0</bundle>
@@ -465,10 +465,10 @@
     <config external="true" name="org.apache.jackrabbit.oak.plugins.index.lucene.LuceneIndexProviderService">mvn:org.apache.sling/org.apache.sling.karaf-configs/${project.version}/config/org.apache.jackrabbit.oak.plugins.index.lucene.LuceneIndexProviderService</config>
     <config external="true" name="org.apache.jackrabbit.oak.segment.SegmentNodeStoreService">mvn:org.apache.sling/org.apache.sling.karaf-configs/${project.version}/config/org.apache.jackrabbit.oak.segment.SegmentNodeStoreService</config>
     <feature version="${project.version}">sling-quickstart-oak</feature>
-    <bundle>mvn:org.apache.jackrabbit/oak-lucene/1.8.8</bundle>
-    <bundle>mvn:org.apache.jackrabbit/oak-segment-tar/1.8.8</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-lucene/1.8.9</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-segment-tar/1.8.9</bundle>
     <!-- OAK-7263 oak-lucene should not depend on oak-store-document -->
-    <bundle>mvn:org.apache.jackrabbit/oak-store-document/1.8.8</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-store-document/1.8.9</bundle>
     <bundle>mvn:org.apache.sling/org.apache.sling.jcr.oak.server/1.2.2</bundle>
     <!-- capabilities -->
     <!-- OAK-7380 Add missing OSGi capabilities -->
@@ -481,8 +481,8 @@
     <config external="true" name="org.apache.jackrabbit.oak.plugins.index.lucene.LuceneIndexProviderService">mvn:org.apache.sling/org.apache.sling.karaf-configs/${project.version}/config/org.apache.jackrabbit.oak.plugins.index.lucene.LuceneIndexProviderService</config>
     <config external="true" name="org.apache.jackrabbit.oak.plugins.document.DocumentNodeStoreService">mvn:org.apache.sling/org.apache.sling.karaf-configs/${project.version}/config/org.apache.jackrabbit.oak.plugins.document.DocumentNodeStoreService</config>
     <feature version="${project.version}">sling-quickstart-oak</feature>
-    <bundle>mvn:org.apache.jackrabbit/oak-lucene/1.8.8</bundle>
-    <bundle>mvn:org.apache.jackrabbit/oak-store-document/1.8.8</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-lucene/1.8.9</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-store-document/1.8.9</bundle>
     <bundle>mvn:com.h2database/h2-mvstore/1.4.197</bundle>
     <bundle>mvn:org.mongodb/mongo-java-driver/3.9.1</bundle>
     <bundle>mvn:org.apache.sling/org.apache.sling.jcr.oak.server/1.2.2</bundle>
@@ -498,7 +498,7 @@
     <config external="true" name="org.apache.sling.jcr.repoinit.RepositoryInitializer-sling_scripting">mvn:org.apache.sling/org.apache.sling.karaf-configs/${project.version}/config/org.apache.sling.jcr.repoinit.RepositoryInitializer-sling_scripting</config>
     <config external="true" name="org.apache.sling.serviceusermapping.impl.ServiceUserMapperImpl.amended-scripting">mvn:org.apache.sling/org.apache.sling.karaf-configs/${project.version}/config/org.apache.sling.serviceusermapping.impl.ServiceUserMapperImpl.amended-scripting</config>
     <bundle>mvn:org.apache.sling/org.apache.sling.scripting.api/2.2.0</bundle>
-    <bundle>mvn:org.apache.sling/org.apache.sling.scripting.core/2.0.54</bundle>
+    <bundle>mvn:org.apache.sling/org.apache.sling.scripting.core/2.0.56</bundle>
     <!-- dependencies -->
     <feature version="${project.version}">sling</feature>
     <feature>webconsole</feature>
@@ -560,7 +560,7 @@
     <feature version="${project.version}">sling-xss</feature>
     <feature version="${project.version}">sling-commons-compiler</feature>
     <bundle dependency="true">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.rhino/1.7.10_1</bundle>
-    <bundle dependency="true">mvn:org.antlr/antlr4-runtime/4.7.1</bundle>
+    <bundle dependency="true">mvn:org.antlr/antlr4-runtime/4.7.2</bundle>
   </feature>
   <feature name="sling-scripting-thymeleaf" version="${project.version}">
     <config external="true" name="org.apache.sling.serviceusermapping.impl.ServiceUserMapperImpl.amended-scripting_thymeleaf">mvn:org.apache.sling/org.apache.sling.karaf-configs/${project.version}/config/org.apache.sling.serviceusermapping.impl.ServiceUserMapperImpl.amended-scripting_thymeleaf</config>
@@ -569,18 +569,18 @@
     <feature version="${project.version}">sling</feature>
     <feature version="${project.version}">sling-scripting</feature>
     <feature version="${project.version}">sling-i18n</feature>
-    <bundle dependency="true">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.thymeleaf/3.0.9.RELEASE_1</bundle>
+    <bundle dependency="true">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.thymeleaf/3.0.11.RELEASE_1</bundle>
     <bundle dependency="true">mvn:org.attoparser/attoparser/2.0.5.RELEASE</bundle>
     <bundle dependency="true">mvn:org.unbescape/unbescape/1.1.6.RELEASE</bundle>
     <bundle dependency="true">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.ognl/3.2.1_1</bundle>
-    <bundle dependency="true">mvn:org.javassist/javassist/3.24.0-GA</bundle>
+    <bundle dependency="true">mvn:org.javassist/javassist/3.24.1-GA</bundle>
   </feature>
   <!-- Apache Sling Servlets -->
   <feature name="sling-servlets" version="${project.version}">
     <config external="true" name="org.apache.sling.serviceusermapping.impl.ServiceUserMapperImpl.amended-servlets">mvn:org.apache.sling/org.apache.sling.karaf-configs/${project.version}/config/org.apache.sling.serviceusermapping.impl.ServiceUserMapperImpl.amended-servlets</config>
     <bundle>mvn:org.apache.sling/org.apache.sling.servlets.get/2.1.40</bundle>
     <bundle>mvn:org.apache.sling/org.apache.sling.servlets.post/2.3.26</bundle>
-    <bundle>mvn:org.apache.sling/org.apache.sling.servlets.resolver/2.4.24</bundle>
+    <bundle>mvn:org.apache.sling/org.apache.sling.servlets.resolver/2.5.2</bundle>
     <!-- dependencies -->
     <feature version="${project.version}">sling</feature>
     <feature version="${project.version}">sling-scripting</feature>
@@ -596,13 +596,13 @@
   </feature>
   <!-- Apache Jackrabbit -->
   <feature name="jackrabbit" version="${project.version}">
-    <bundle>mvn:org.apache.jackrabbit/jackrabbit-api/2.16.3</bundle>
-    <bundle>mvn:org.apache.jackrabbit/jackrabbit-data/2.16.3</bundle>
-    <bundle>mvn:org.apache.jackrabbit/jackrabbit-jcr-commons/2.16.3</bundle>
-    <bundle>mvn:org.apache.jackrabbit/jackrabbit-jcr-rmi/2.16.3</bundle>
-    <bundle>mvn:org.apache.jackrabbit/jackrabbit-spi/2.16.3</bundle>
-    <bundle>mvn:org.apache.jackrabbit/jackrabbit-spi-commons/2.16.3</bundle>
-    <bundle>mvn:org.apache.jackrabbit/jackrabbit-webdav/2.16.3</bundle>
+    <bundle>mvn:org.apache.jackrabbit/jackrabbit-api/2.18.0</bundle>
+    <bundle>mvn:org.apache.jackrabbit/jackrabbit-data/2.18.0</bundle>
+    <bundle>mvn:org.apache.jackrabbit/jackrabbit-jcr-commons/2.18.0</bundle>
+    <bundle>mvn:org.apache.jackrabbit/jackrabbit-jcr-rmi/2.18.0</bundle>
+    <bundle>mvn:org.apache.jackrabbit/jackrabbit-spi/2.18.0</bundle>
+    <bundle>mvn:org.apache.jackrabbit/jackrabbit-spi-commons/2.18.0</bundle>
+    <bundle>mvn:org.apache.jackrabbit/jackrabbit-webdav/2.18.0</bundle>
     <!-- dependencies -->
     <bundle dependency="true">mvn:javax.jcr/jcr/2.0</bundle>
     <bundle dependency="true">mvn:javax.servlet/javax.servlet-api/3.1.0</bundle>
@@ -621,17 +621,17 @@
     <bundle dependency="true">mvn:org.apache.httpcomponents/httpclient-osgi/4.5.6</bundle>
   </feature>
   <feature name="jackrabbit-oak" version="${project.version}">
-    <bundle>mvn:org.apache.jackrabbit/oak-api/1.8.8</bundle>
-    <bundle>mvn:org.apache.jackrabbit/oak-blob/1.8.8</bundle>
-    <bundle>mvn:org.apache.jackrabbit/oak-blob-plugins/1.8.8</bundle>
-    <bundle>mvn:org.apache.jackrabbit/oak-commons/1.8.8</bundle>
-    <bundle>mvn:org.apache.jackrabbit/oak-core/1.8.8</bundle>
-    <bundle>mvn:org.apache.jackrabbit/oak-core-spi/1.8.8</bundle>
-    <bundle>mvn:org.apache.jackrabbit/oak-jcr/1.8.8</bundle>
-    <bundle>mvn:org.apache.jackrabbit/oak-query-spi/1.8.8</bundle>
-    <bundle>mvn:org.apache.jackrabbit/oak-security-spi/1.8.8</bundle>
-    <bundle>mvn:org.apache.jackrabbit/oak-store-composite/1.8.8</bundle>
-    <bundle>mvn:org.apache.jackrabbit/oak-store-spi/1.8.8</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-api/1.8.9</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-blob/1.8.9</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-blob-plugins/1.8.9</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-commons/1.8.9</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-core/1.8.9</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-core-spi/1.8.9</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-jcr/1.8.9</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-query-spi/1.8.9</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-security-spi/1.8.9</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-store-composite/1.8.9</bundle>
+    <bundle>mvn:org.apache.jackrabbit/oak-store-spi/1.8.9</bundle>
     <!-- dependencies -->
     <feature>scr</feature>
     <feature version="${project.version}">sling-commons-metrics</feature>
@@ -683,12 +683,12 @@
   <!-- Composum -->
   <feature name="composum" version="${project.version}">
     <config external="true" name="org.apache.sling.jcr.base.internal.LoginAdminWhitelist.fragment-composum">mvn:org.apache.sling/org.apache.sling.karaf-configs/${project.version}/config/org.apache.sling.jcr.base.internal.LoginAdminWhitelist.fragment-composum</config>
-    <bundle>mvn:com.composum.sling.core/composum-sling-core-commons/1.9.2</bundle>
-    <bundle>mvn:com.composum.sling.core/composum-sling-core-config/1.9.2</bundle>
-    <bundle>mvn:com.composum.sling.core/composum-sling-core-console/1.9.2</bundle>
-    <bundle>mvn:com.composum.sling.core/composum-sling-core-jslibs/1.9.2</bundle>
-    <bundle>mvn:com.composum.sling.core/composum-sling-user-management/1.9.2</bundle>
-    <bundle>mvn:com.composum.sling.core/composum-sling-package-manager/1.9.2</bundle>
+    <bundle>mvn:com.composum.sling.core/composum-sling-core-commons/1.9.3</bundle>
+    <bundle>mvn:com.composum.sling.core/composum-sling-core-config/1.9.3</bundle>
+    <bundle>mvn:com.composum.sling.core/composum-sling-core-console/1.9.3</bundle>
+    <bundle>mvn:com.composum.sling.core/composum-sling-core-jslibs/1.9.3</bundle>
+    <bundle>mvn:com.composum.sling.core/composum-sling-user-management/1.9.3</bundle>
+    <bundle>mvn:com.composum.sling.core/composum-sling-package-manager/1.9.3</bundle>
     <!-- dependencies -->
     <feature version="${project.version}">sling</feature>
     <feature version="${project.version}">sling-jcr</feature>


Mime
View raw message